# My Profile

## Get application settings

> Retrieve settings information for the application, optionally filtered by query parameters.

```json
{"openapi":"3.0.1","info":{"title":"SpurtV5","version":"1.0.0"},"tags":[{"name":"My profile","description":"My Profile for vendor"}],"servers":[{"url":"http://139.59.67.17/backend/api"},{"url":"https://139.59.67.17/backend/api"}],"paths":{"/settings":{"get":{"tags":["My profile"],"summary":"Get application settings","description":"Retrieve settings information for the application, optionally filtered by query parameters.","parameters":[{"name":"Authorization","in":"header","description":"Bearer token for vendor authentication","required":true,"schema":{"type":"string"}},{"name":"defaultWebsite","in":"query","description":"Filter settings for the default website (1 for default).","schema":{"type":"integer"}}],"responses":{"200":{"description":"Successfully retrieved settings.","content":{"application/xml":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","additionalProperties":{"type":"string"}}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"},"data":{"type":"object","additionalProperties":{"type":"string"}}}}}}},"400":{"description":"Bad request. Invalid parameters.","content":{"application/xml":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"}}}}}},"500":{"description":"Internal server error.","content":{"application/xml":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"}}}}}}}}}}}
```

## Get vendor profile details

> Retrieve the profile information for the authenticated vendor.

```json
{"openapi":"3.0.1","info":{"title":"SpurtV5","version":"1.0.0"},"tags":[{"name":"My profile","description":"My Profile for vendor"}],"servers":[{"url":"http://139.59.67.17/backend/api"},{"url":"https://139.59.67.17/backend/api"}],"paths":{"/vendor/vendor-profile":{"get":{"tags":["My profile"],"summary":"Get vendor profile details","description":"Retrieve the profile information for the authenticated vendor.","parameters":[{"name":"Authorization","in":"header","description":"Bearer token for vendor authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully retrieved vendor profile.","content":{"application/xml":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"}}}}}},"401":{"description":"Unauthorized access. Token is missing or invalid.","content":{"application/xml":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"}}}}}},"500":{"description":"Internal server error.","content":{"application/xml":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer"},"message":{"type":"string"}}}}}}}}}}}
```

## Edit vendor details

> Update the vendor details by providing the vendor ID and the new data via form data.

```json
{"openapi":"3.0.1","info":{"title":"SpurtV5","version":"1.0.0"},"tags":[{"name":"My profile","description":"My Profile for vendor"}],"servers":[{"url":"http://139.59.67.17/backend/api"},{"url":"https://139.59.67.17/backend/api"}],"paths":{"/vendor/edit-vendor/{customerId}":{"put":{"tags":["My profile"],"summary":"Edit vendor details","description":"Update the vendor details by providing the vendor ID and the new data via form data.","parameters":[{"name":"Authorization","in":"header","description":"Bearer token for vendor authentication","required":true,"schema":{"type":"string"}},{"name":"customerId","in":"path","description":"ID of the vendor to be updated","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"blogType":{"type":"string","description":"blogType"},"dob":{"type":"string","description":"Date of Birth","format":"date"},"email":{"type":"string","description":"Email address"},"firstName":{"type":"string","description":"First Name"},"gender":{"type":"string","description":"Gender"},"lastName":{"type":"string","description":"Last Name"},"mobileNumber":{"type":"string","description":"Mobile number"},"username":{"type":"string","description":"Username"},"vendorMedia":{"type":"array","description":"Media related to the vendor","items":{"type":"string"}},"password":{"type":"string","description":"Password"},"reset":{"type":"integer","description":"Flag to reset password","format":"int32"}}}}}},"responses":{"200":{"description":"Successfully updated the vendor details.","content":{"application/xml":{"schema":{"type":"object","properties":{"status":{"type":"number"},"message":{"type":"string"}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number"},"message":{"type":"string"}}}}}},"400":{"description":"Bad request. Invalid input data.","content":{"application/xml":{"schema":{"type":"object","properties":{"status":{"type":"number"},"message":{"type":"string"}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number"},"message":{"type":"string"}}}}}},"404":{"description":"Vendor not found.","content":{"application/xml":{"schema":{"type":"object","properties":{"status":{"type":"number"},"message":{"type":"string"}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number"},"message":{"type":"string"}}}}}},"500":{"description":"Internal server error.","content":{"application/xml":{"schema":{"type":"object","properties":{"status":{"type":"number"},"message":{"type":"string"}}}},"application/json":{"schema":{"type":"object","properties":{"status":{"type":"number"},"message":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spurtcommerce.com/spurtapi/spurtcommerce/vendor-api/profile/account-settings/my-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
